ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/Convert-UUlib/uulib/configure
Revision: 1.9
Committed: Mon Aug 24 04:38:23 2009 UTC (14 years, 9 months ago) by root
Branch: MAIN
Changes since 1.8: +1 -1 lines
Log Message:
*** empty log message ***

File Contents

# Content
1 #! /bin/sh
2
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.13
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6 #
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
9
10 # Defaults:
11 ac_help=
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
14 ac_help="$ac_help
15 "
16 ac_help="$ac_help
17 "
18
19 # Initialize some variables set by options.
20 # The variables have the same names as the options, with
21 # dashes changed to underlines.
22 build=NONE
23 cache_file=./config.cache
24 exec_prefix=NONE
25 host=NONE
26 no_create=
27 nonopt=NONE
28 no_recursion=
29 prefix=NONE
30 program_prefix=NONE
31 program_suffix=NONE
32 program_transform_name=s,x,x,
33 silent=
34 site=
35 srcdir=
36 target=NONE
37 verbose=
38 x_includes=NONE
39 x_libraries=NONE
40 bindir='${exec_prefix}/bin'
41 sbindir='${exec_prefix}/sbin'
42 libexecdir='${exec_prefix}/libexec'
43 datadir='${prefix}/share'
44 sysconfdir='${prefix}/etc'
45 sharedstatedir='${prefix}/com'
46 localstatedir='${prefix}/var'
47 libdir='${exec_prefix}/lib'
48 includedir='${prefix}/include'
49 oldincludedir='/usr/include'
50 infodir='${prefix}/info'
51 mandir='${prefix}/man'
52
53 # Initialize some other variables.
54 subdirs=
55 MFLAGS= MAKEFLAGS=
56 SHELL=${CONFIG_SHELL-/bin/sh}
57 # Maximum number of lines to put in a shell here document.
58 ac_max_here_lines=12
59
60 ac_prev=
61 for ac_option
62 do
63
64 # If the previous option needs an argument, assign it.
65 if test -n "$ac_prev"; then
66 eval "$ac_prev=\$ac_option"
67 ac_prev=
68 continue
69 fi
70
71 case "$ac_option" in
72 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
73 *) ac_optarg= ;;
74 esac
75
76 # Accept the important Cygnus configure options, so we can diagnose typos.
77
78 case "$ac_option" in
79
80 -bindir | --bindir | --bindi | --bind | --bin | --bi)
81 ac_prev=bindir ;;
82 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
83 bindir="$ac_optarg" ;;
84
85 -build | --build | --buil | --bui | --bu)
86 ac_prev=build ;;
87 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
88 build="$ac_optarg" ;;
89
90 -cache-file | --cache-file | --cache-fil | --cache-fi \
91 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
92 ac_prev=cache_file ;;
93 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
94 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
95 cache_file="$ac_optarg" ;;
96
97 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
98 ac_prev=datadir ;;
99 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
100 | --da=*)
101 datadir="$ac_optarg" ;;
102
103 -disable-* | --disable-*)
104 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
105 # Reject names that are not valid shell variable names.
106 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
107 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
108 fi
109 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
110 eval "enable_${ac_feature}=no" ;;
111
112 -enable-* | --enable-*)
113 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
114 # Reject names that are not valid shell variable names.
115 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
116 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
117 fi
118 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
119 case "$ac_option" in
120 *=*) ;;
121 *) ac_optarg=yes ;;
122 esac
123 eval "enable_${ac_feature}='$ac_optarg'" ;;
124
125 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
126 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
127 | --exec | --exe | --ex)
128 ac_prev=exec_prefix ;;
129 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
130 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
131 | --exec=* | --exe=* | --ex=*)
132 exec_prefix="$ac_optarg" ;;
133
134 -gas | --gas | --ga | --g)
135 # Obsolete; use --with-gas.
136 with_gas=yes ;;
137
138 -help | --help | --hel | --he)
139 # Omit some internal or obsolete options to make the list less imposing.
140 # This message is too long to be a string in the A/UX 3.1 sh.
141 cat << EOF
142 Usage: configure [options] [host]
143 Options: [defaults in brackets after descriptions]
144 Configuration:
145 --cache-file=FILE cache test results in FILE
146 --help print this message
147 --no-create do not create output files
148 --quiet, --silent do not print \`checking...' messages
149 --version print the version of autoconf that created configure
150 Directory and file names:
151 --prefix=PREFIX install architecture-independent files in PREFIX
152 [$ac_default_prefix]
153 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
154 [same as prefix]
155 --bindir=DIR user executables in DIR [EPREFIX/bin]
156 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
157 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
158 --datadir=DIR read-only architecture-independent data in DIR
159 [PREFIX/share]
160 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
161 --sharedstatedir=DIR modifiable architecture-independent data in DIR
162 [PREFIX/com]
163 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
164 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
165 --includedir=DIR C header files in DIR [PREFIX/include]
166 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
167 --infodir=DIR info documentation in DIR [PREFIX/info]
168 --mandir=DIR man documentation in DIR [PREFIX/man]
169 --srcdir=DIR find the sources in DIR [configure dir or ..]
170 --program-prefix=PREFIX prepend PREFIX to installed program names
171 --program-suffix=SUFFIX append SUFFIX to installed program names
172 --program-transform-name=PROGRAM
173 run sed PROGRAM on installed program names
174 EOF
175 cat << EOF
176 Host type:
177 --build=BUILD configure for building on BUILD [BUILD=HOST]
178 --host=HOST configure for HOST [guessed]
179 --target=TARGET configure for TARGET [TARGET=HOST]
180 Features and packages:
181 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
182 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
183 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
184 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
185 --x-includes=DIR X include files are in DIR
186 --x-libraries=DIR X library files are in DIR
187 EOF
188 if test -n "$ac_help"; then
189 echo "--enable and --with options recognized:$ac_help"
190 fi
191 exit 0 ;;
192
193 -host | --host | --hos | --ho)
194 ac_prev=host ;;
195 -host=* | --host=* | --hos=* | --ho=*)
196 host="$ac_optarg" ;;
197
198 -includedir | --includedir | --includedi | --included | --include \
199 | --includ | --inclu | --incl | --inc)
200 ac_prev=includedir ;;
201 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
202 | --includ=* | --inclu=* | --incl=* | --inc=*)
203 includedir="$ac_optarg" ;;
204
205 -infodir | --infodir | --infodi | --infod | --info | --inf)
206 ac_prev=infodir ;;
207 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
208 infodir="$ac_optarg" ;;
209
210 -libdir | --libdir | --libdi | --libd)
211 ac_prev=libdir ;;
212 -libdir=* | --libdir=* | --libdi=* | --libd=*)
213 libdir="$ac_optarg" ;;
214
215 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
216 | --libexe | --libex | --libe)
217 ac_prev=libexecdir ;;
218 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
219 | --libexe=* | --libex=* | --libe=*)
220 libexecdir="$ac_optarg" ;;
221
222 -localstatedir | --localstatedir | --localstatedi | --localstated \
223 | --localstate | --localstat | --localsta | --localst \
224 | --locals | --local | --loca | --loc | --lo)
225 ac_prev=localstatedir ;;
226 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
227 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
228 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
229 localstatedir="$ac_optarg" ;;
230
231 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
232 ac_prev=mandir ;;
233 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
234 mandir="$ac_optarg" ;;
235
236 -nfp | --nfp | --nf)
237 # Obsolete; use --without-fp.
238 with_fp=no ;;
239
240 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
241 | --no-cr | --no-c)
242 no_create=yes ;;
243
244 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
245 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
246 no_recursion=yes ;;
247
248 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
249 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
250 | --oldin | --oldi | --old | --ol | --o)
251 ac_prev=oldincludedir ;;
252 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
253 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
254 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
255 oldincludedir="$ac_optarg" ;;
256
257 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
258 ac_prev=prefix ;;
259 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
260 prefix="$ac_optarg" ;;
261
262 -program-prefix | --program-prefix | --program-prefi | --program-pref \
263 | --program-pre | --program-pr | --program-p)
264 ac_prev=program_prefix ;;
265 -program-prefix=* | --program-prefix=* | --program-prefi=* \
266 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
267 program_prefix="$ac_optarg" ;;
268
269 -program-suffix | --program-suffix | --program-suffi | --program-suff \
270 | --program-suf | --program-su | --program-s)
271 ac_prev=program_suffix ;;
272 -program-suffix=* | --program-suffix=* | --program-suffi=* \
273 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
274 program_suffix="$ac_optarg" ;;
275
276 -program-transform-name | --program-transform-name \
277 | --program-transform-nam | --program-transform-na \
278 | --program-transform-n | --program-transform- \
279 | --program-transform | --program-transfor \
280 | --program-transfo | --program-transf \
281 | --program-trans | --program-tran \
282 | --progr-tra | --program-tr | --program-t)
283 ac_prev=program_transform_name ;;
284 -program-transform-name=* | --program-transform-name=* \
285 | --program-transform-nam=* | --program-transform-na=* \
286 | --program-transform-n=* | --program-transform-=* \
287 | --program-transform=* | --program-transfor=* \
288 | --program-transfo=* | --program-transf=* \
289 | --program-trans=* | --program-tran=* \
290 | --progr-tra=* | --program-tr=* | --program-t=*)
291 program_transform_name="$ac_optarg" ;;
292
293 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
294 | -silent | --silent | --silen | --sile | --sil)
295 silent=yes ;;
296
297 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
298 ac_prev=sbindir ;;
299 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
300 | --sbi=* | --sb=*)
301 sbindir="$ac_optarg" ;;
302
303 -sharedstatedir | --sharedstatedir | --sharedstatedi \
304 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
305 | --sharedst | --shareds | --shared | --share | --shar \
306 | --sha | --sh)
307 ac_prev=sharedstatedir ;;
308 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
309 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
310 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
311 | --sha=* | --sh=*)
312 sharedstatedir="$ac_optarg" ;;
313
314 -site | --site | --sit)
315 ac_prev=site ;;
316 -site=* | --site=* | --sit=*)
317 site="$ac_optarg" ;;
318
319 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
320 ac_prev=srcdir ;;
321 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
322 srcdir="$ac_optarg" ;;
323
324 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
325 | --syscon | --sysco | --sysc | --sys | --sy)
326 ac_prev=sysconfdir ;;
327 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
328 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
329 sysconfdir="$ac_optarg" ;;
330
331 -target | --target | --targe | --targ | --tar | --ta | --t)
332 ac_prev=target ;;
333 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
334 target="$ac_optarg" ;;
335
336 -v | -verbose | --verbose | --verbos | --verbo | --verb)
337 verbose=yes ;;
338
339 -version | --version | --versio | --versi | --vers)
340 echo "configure generated by autoconf version 2.13"
341 exit 0 ;;
342
343 -with-* | --with-*)
344 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
345 # Reject names that are not valid shell variable names.
346 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
347 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
348 fi
349 ac_package=`echo $ac_package| sed 's/-/_/g'`
350 case "$ac_option" in
351 *=*) ;;
352 *) ac_optarg=yes ;;
353 esac
354 eval "with_${ac_package}='$ac_optarg'" ;;
355
356 -without-* | --without-*)
357 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
358 # Reject names that are not valid shell variable names.
359 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
360 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
361 fi
362 ac_package=`echo $ac_package| sed 's/-/_/g'`
363 eval "with_${ac_package}=no" ;;
364
365 --x)
366 # Obsolete; use --with-x.
367 with_x=yes ;;
368
369 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
370 | --x-incl | --x-inc | --x-in | --x-i)
371 ac_prev=x_includes ;;
372 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
373 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
374 x_includes="$ac_optarg" ;;
375
376 -x-libraries | --x-libraries | --x-librarie | --x-librari \
377 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
378 ac_prev=x_libraries ;;
379 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
380 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
381 x_libraries="$ac_optarg" ;;
382
383 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
384 ;;
385
386 *)
387 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
388 echo "configure: warning: $ac_option: invalid host type" 1>&2
389 fi
390 if test "x$nonopt" != xNONE; then
391 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
392 fi
393 nonopt="$ac_option"
394 ;;
395
396 esac
397 done
398
399 if test -n "$ac_prev"; then
400 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
401 fi
402
403 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
404
405 # File descriptor usage:
406 # 0 standard input
407 # 1 file creation
408 # 2 errors and warnings
409 # 3 some systems may open it to /dev/tty
410 # 4 used on the Kubota Titan
411 # 6 checking for... messages and results
412 # 5 compiler messages saved in config.log
413 if test "$silent" = yes; then
414 exec 6>/dev/null
415 else
416 exec 6>&1
417 fi
418 exec 5>./config.log
419
420 echo "\
421 This file contains any messages produced by compilers while
422 running configure, to aid debugging if configure makes a mistake.
423 " 1>&5
424
425 # Strip out --no-create and --no-recursion so they do not pile up.
426 # Also quote any args containing shell metacharacters.
427 ac_configure_args=
428 for ac_arg
429 do
430 case "$ac_arg" in
431 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
432 | --no-cr | --no-c) ;;
433 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
434 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
435 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
436 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
437 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
438 esac
439 done
440
441 # NLS nuisances.
442 # Only set these to C if already set. These must not be set unconditionally
443 # because not all systems understand e.g. LANG=C (notably SCO).
444 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
445 # Non-C LC_CTYPE values break the ctype check.
446 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
447 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
448 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
449 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
450
451 # confdefs.h avoids OS command line length limits that DEFS can exceed.
452 rm -rf conftest* confdefs.h
453 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
454 echo > confdefs.h
455
456 # A filename unique to this package, relative to the directory that
457 # configure is in, which we can look for to find out if srcdir is correct.
458 ac_unique_file=uulib.c
459
460 # Find the source files, if location was not specified.
461 if test -z "$srcdir"; then
462 ac_srcdir_defaulted=yes
463 # Try the directory containing this script, then its parent.
464 ac_prog=$0
465 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
466 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
467 srcdir=$ac_confdir
468 if test ! -r $srcdir/$ac_unique_file; then
469 srcdir=..
470 fi
471 else
472 ac_srcdir_defaulted=no
473 fi
474 if test ! -r $srcdir/$ac_unique_file; then
475 if test "$ac_srcdir_defaulted" = yes; then
476 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
477 else
478 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
479 fi
480 fi
481 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
482
483 # Prefer explicitly selected file to automatically selected ones.
484 if test -z "$CONFIG_SITE"; then
485 if test "x$prefix" != xNONE; then
486 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
487 else
488 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
489 fi
490 fi
491 for ac_site_file in $CONFIG_SITE; do
492 if test -r "$ac_site_file"; then
493 echo "loading site script $ac_site_file"
494 . "$ac_site_file"
495 fi
496 done
497
498 if test -r "$cache_file"; then
499 echo "loading cache $cache_file"
500 . $cache_file
501 else
502 echo "creating cache $cache_file"
503 > $cache_file
504 fi
505
506 ac_ext=c
507 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
508 ac_cpp='$CPP $CPPFLAGS'
509 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
510 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
511 cross_compiling=$ac_cv_prog_cc_cross
512
513 ac_exeext=
514 ac_objext=o
515 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
516 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
517 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
518 ac_n= ac_c='
519 ' ac_t=' '
520 else
521 ac_n=-n ac_c= ac_t=
522 fi
523 else
524 ac_n= ac_c='\c' ac_t=
525 fi
526
527
528
529
530
531 #
532 # package revision
533 #
534 VERSION=0.5
535 PATCH=20
536
537 # Check whether --with-cc or --without-cc was given.
538 if test "${with_cc+set}" = set; then
539 withval="$with_cc"
540 CC=$with_cc
541 fi
542
543 # Check whether --with-cflags or --without-cflags was given.
544 if test "${with_cflags+set}" = set; then
545 withval="$with_cflags"
546 CFLAGS=$with_cflags
547 fi
548
549
550 # Extract the first word of "gcc", so it can be a program name with args.
551 set dummy gcc; ac_word=$2
552 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
553 echo "configure:554: checking for $ac_word" >&5
554 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
555 echo $ac_n "(cached) $ac_c" 1>&6
556 else
557 if test -n "$CC"; then
558 ac_cv_prog_CC="$CC" # Let the user override the test.
559 else
560 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
561 ac_dummy="$PATH"
562 for ac_dir in $ac_dummy; do
563 test -z "$ac_dir" && ac_dir=.
564 if test -f $ac_dir/$ac_word; then
565 ac_cv_prog_CC="gcc"
566 break
567 fi
568 done
569 IFS="$ac_save_ifs"
570 fi
571 fi
572 CC="$ac_cv_prog_CC"
573 if test -n "$CC"; then
574 echo "$ac_t""$CC" 1>&6
575 else
576 echo "$ac_t""no" 1>&6
577 fi
578
579 if test -z "$CC"; then
580 # Extract the first word of "cc", so it can be a program name with args.
581 set dummy cc; ac_word=$2
582 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
583 echo "configure:584: checking for $ac_word" >&5
584 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
585 echo $ac_n "(cached) $ac_c" 1>&6
586 else
587 if test -n "$CC"; then
588 ac_cv_prog_CC="$CC" # Let the user override the test.
589 else
590 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
591 ac_prog_rejected=no
592 ac_dummy="$PATH"
593 for ac_dir in $ac_dummy; do
594 test -z "$ac_dir" && ac_dir=.
595 if test -f $ac_dir/$ac_word; then
596 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
597 ac_prog_rejected=yes
598 continue
599 fi
600 ac_cv_prog_CC="cc"
601 break
602 fi
603 done
604 IFS="$ac_save_ifs"
605 if test $ac_prog_rejected = yes; then
606 # We found a bogon in the path, so make sure we never use it.
607 set dummy $ac_cv_prog_CC
608 shift
609 if test $# -gt 0; then
610 # We chose a different compiler from the bogus one.
611 # However, it has the same basename, so the bogon will be chosen
612 # first if we set CC to just the basename; use the full file name.
613 shift
614 set dummy "$ac_dir/$ac_word" "$@"
615 shift
616 ac_cv_prog_CC="$@"
617 fi
618 fi
619 fi
620 fi
621 CC="$ac_cv_prog_CC"
622 if test -n "$CC"; then
623 echo "$ac_t""$CC" 1>&6
624 else
625 echo "$ac_t""no" 1>&6
626 fi
627
628 if test -z "$CC"; then
629 case "`uname -s`" in
630 *win32* | *WIN32*)
631 # Extract the first word of "cl", so it can be a program name with args.
632 set dummy cl; ac_word=$2
633 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
634 echo "configure:635: checking for $ac_word" >&5
635 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
636 echo $ac_n "(cached) $ac_c" 1>&6
637 else
638 if test -n "$CC"; then
639 ac_cv_prog_CC="$CC" # Let the user override the test.
640 else
641 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
642 ac_dummy="$PATH"
643 for ac_dir in $ac_dummy; do
644 test -z "$ac_dir" && ac_dir=.
645 if test -f $ac_dir/$ac_word; then
646 ac_cv_prog_CC="cl"
647 break
648 fi
649 done
650 IFS="$ac_save_ifs"
651 fi
652 fi
653 CC="$ac_cv_prog_CC"
654 if test -n "$CC"; then
655 echo "$ac_t""$CC" 1>&6
656 else
657 echo "$ac_t""no" 1>&6
658 fi
659 ;;
660 esac
661 fi
662 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
663 fi
664
665 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
666 echo "configure:667: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
667
668 ac_ext=c
669 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
670 ac_cpp='$CPP $CPPFLAGS'
671 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
672 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
673 cross_compiling=$ac_cv_prog_cc_cross
674
675 cat > conftest.$ac_ext << EOF
676
677 #line 678 "configure"
678 #include "confdefs.h"
679
680 main(){return(0);}
681 EOF
682 if { (eval echo configure:683: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
683 ac_cv_prog_cc_works=yes
684 # If we can't run a trivial program, we are probably using a cross compiler.
685 if (./conftest; exit) 2>/dev/null; then
686 ac_cv_prog_cc_cross=no
687 else
688 ac_cv_prog_cc_cross=yes
689 fi
690 else
691 echo "configure: failed program was:" >&5
692 cat conftest.$ac_ext >&5
693 ac_cv_prog_cc_works=no
694 fi
695 rm -fr conftest*
696 ac_ext=c
697 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
698 ac_cpp='$CPP $CPPFLAGS'
699 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
700 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
701 cross_compiling=$ac_cv_prog_cc_cross
702
703 echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
704 if test $ac_cv_prog_cc_works = no; then
705 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
706 fi
707 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
708 echo "configure:709: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
709 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
710 cross_compiling=$ac_cv_prog_cc_cross
711
712 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
713 echo "configure:714: checking whether we are using GNU C" >&5
714 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
715 echo $ac_n "(cached) $ac_c" 1>&6
716 else
717 cat > conftest.c <<EOF
718 #ifdef __GNUC__
719 yes;
720 #endif
721 EOF
722 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:723: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
723 ac_cv_prog_gcc=yes
724 else
725 ac_cv_prog_gcc=no
726 fi
727 fi
728
729 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
730
731 if test $ac_cv_prog_gcc = yes; then
732 GCC=yes
733 else
734 GCC=
735 fi
736
737 ac_test_CFLAGS="${CFLAGS+set}"
738 ac_save_CFLAGS="$CFLAGS"
739 CFLAGS=
740 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
741 echo "configure:742: checking whether ${CC-cc} accepts -g" >&5
742 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
743 echo $ac_n "(cached) $ac_c" 1>&6
744 else
745 echo 'void f(){}' > conftest.c
746 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
747 ac_cv_prog_cc_g=yes
748 else
749 ac_cv_prog_cc_g=no
750 fi
751 rm -f conftest*
752
753 fi
754
755 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
756 if test "$ac_test_CFLAGS" = set; then
757 CFLAGS="$ac_save_CFLAGS"
758 elif test $ac_cv_prog_cc_g = yes; then
759 if test "$GCC" = yes; then
760 CFLAGS="-g -O2"
761 else
762 CFLAGS="-g"
763 fi
764 else
765 if test "$GCC" = yes; then
766 CFLAGS="-O2"
767 else
768 CFLAGS=
769 fi
770 fi
771
772 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
773 echo "configure:774: checking how to run the C preprocessor" >&5
774 # On Suns, sometimes $CPP names a directory.
775 if test -n "$CPP" && test -d "$CPP"; then
776 CPP=
777 fi
778 if test -z "$CPP"; then
779 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
780 echo $ac_n "(cached) $ac_c" 1>&6
781 else
782 # This must be in double quotes, not single quotes, because CPP may get
783 # substituted into the Makefile and "${CC-cc}" will confuse make.
784 CPP="${CC-cc} -E"
785 # On the NeXT, cc -E runs the code through the compiler's parser,
786 # not just through cpp.
787 cat > conftest.$ac_ext <<EOF
788 #line 789 "configure"
789 #include "confdefs.h"
790 #include <assert.h>
791 Syntax Error
792 EOF
793 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
794 { (eval echo configure:795: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
795 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
796 if test -z "$ac_err"; then
797 :
798 else
799 echo "$ac_err" >&5
800 echo "configure: failed program was:" >&5
801 cat conftest.$ac_ext >&5
802 rm -rf conftest*
803 CPP="${CC-cc} -E -traditional-cpp"
804 cat > conftest.$ac_ext <<EOF
805 #line 806 "configure"
806 #include "confdefs.h"
807 #include <assert.h>
808 Syntax Error
809 EOF
810 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
811 { (eval echo configure:812: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
812 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
813 if test -z "$ac_err"; then
814 :
815 else
816 echo "$ac_err" >&5
817 echo "configure: failed program was:" >&5
818 cat conftest.$ac_ext >&5
819 rm -rf conftest*
820 CPP="${CC-cc} -nologo -E"
821 cat > conftest.$ac_ext <<EOF
822 #line 823 "configure"
823 #include "confdefs.h"
824 #include <assert.h>
825 Syntax Error
826 EOF
827 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
828 { (eval echo configure:829: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
829 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
830 if test -z "$ac_err"; then
831 :
832 else
833 echo "$ac_err" >&5
834 echo "configure: failed program was:" >&5
835 cat conftest.$ac_ext >&5
836 rm -rf conftest*
837 CPP=/lib/cpp
838 fi
839 rm -f conftest*
840 fi
841 rm -f conftest*
842 fi
843 rm -f conftest*
844 ac_cv_prog_CPP="$CPP"
845 fi
846 CPP="$ac_cv_prog_CPP"
847 else
848 ac_cv_prog_CPP="$CPP"
849 fi
850 echo "$ac_t""$CPP" 1>&6
851
852
853 echo $ac_n "checking if the compiler supports function prototypes""... $ac_c" 1>&6
854 echo "configure:855: checking if the compiler supports function prototypes" >&5
855 cat > conftest.$ac_ext <<EOF
856 #line 857 "configure"
857 #include "confdefs.h"
858
859 int main() {
860 extern void exit(int status);
861 ; return 0; }
862 EOF
863 if { (eval echo configure:864: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
864 rm -rf conftest*
865 wi_cv_prototypes=yes
866 cat >> confdefs.h <<\EOF
867 #define PROTOTYPES 1
868 EOF
869
870 else
871 echo "configure: failed program was:" >&5
872 cat conftest.$ac_ext >&5
873 rm -rf conftest*
874 wi_cv_prototypes=no
875 fi
876 rm -f conftest*
877 echo "$ac_t""$wi_cv_prototypes" 1>&6
878
879 echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
880 echo "configure:881: checking whether ${MAKE-make} sets \${MAKE}" >&5
881 set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
882 if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
883 echo $ac_n "(cached) $ac_c" 1>&6
884 else
885 cat > conftestmake <<\EOF
886 all:
887 @echo 'ac_maketemp="${MAKE}"'
888 EOF
889 # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
890 eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
891 if test -n "$ac_maketemp"; then
892 eval ac_cv_prog_make_${ac_make}_set=yes
893 else
894 eval ac_cv_prog_make_${ac_make}_set=no
895 fi
896 rm -f conftestmake
897 fi
898 if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
899 echo "$ac_t""yes" 1>&6
900 SET_MAKE=
901 else
902 echo "$ac_t""no" 1>&6
903 SET_MAKE="MAKE=${MAKE-make}"
904 fi
905
906 # Extract the first word of "ranlib", so it can be a program name with args.
907 set dummy ranlib; ac_word=$2
908 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
909 echo "configure:910: checking for $ac_word" >&5
910 if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
911 echo $ac_n "(cached) $ac_c" 1>&6
912 else
913 if test -n "$RANLIB"; then
914 ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
915 else
916 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
917 ac_dummy="$PATH"
918 for ac_dir in $ac_dummy; do
919 test -z "$ac_dir" && ac_dir=.
920 if test -f $ac_dir/$ac_word; then
921 ac_cv_prog_RANLIB="ranlib"
922 break
923 fi
924 done
925 IFS="$ac_save_ifs"
926 test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
927 fi
928 fi
929 RANLIB="$ac_cv_prog_RANLIB"
930 if test -n "$RANLIB"; then
931 echo "$ac_t""$RANLIB" 1>&6
932 else
933 echo "$ac_t""no" 1>&6
934 fi
935
936
937 if test "$wi_cv_prototypes" = no ; then
938 echo "configure: warning: Your compiler does not support function prototyping and" 1>&2
939 echo "configure: warning: is not able to properly compile this package. What a pity." 1>&2
940 echo "configure: warning: Get gcc, or any compiler that supports function prototypes." 1>&2
941 exit 1
942 fi
943
944 #
945 # Checks for header files and library functions
946 #
947
948 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
949 echo "configure:950: checking for ANSI C header files" >&5
950 if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
951 echo $ac_n "(cached) $ac_c" 1>&6
952 else
953 cat > conftest.$ac_ext <<EOF
954 #line 955 "configure"
955 #include "confdefs.h"
956 #include <stdlib.h>
957 #include <stdarg.h>
958 #include <string.h>
959 #include <float.h>
960 EOF
961 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
962 { (eval echo configure:963: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
963 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
964 if test -z "$ac_err"; then
965 rm -rf conftest*
966 ac_cv_header_stdc=yes
967 else
968 echo "$ac_err" >&5
969 echo "configure: failed program was:" >&5
970 cat conftest.$ac_ext >&5
971 rm -rf conftest*
972 ac_cv_header_stdc=no
973 fi
974 rm -f conftest*
975
976 if test $ac_cv_header_stdc = yes; then
977 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
978 cat > conftest.$ac_ext <<EOF
979 #line 980 "configure"
980 #include "confdefs.h"
981 #include <string.h>
982 EOF
983 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
984 egrep "memchr" >/dev/null 2>&1; then
985 :
986 else
987 rm -rf conftest*
988 ac_cv_header_stdc=no
989 fi
990 rm -f conftest*
991
992 fi
993
994 if test $ac_cv_header_stdc = yes; then
995 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
996 cat > conftest.$ac_ext <<EOF
997 #line 998 "configure"
998 #include "confdefs.h"
999 #include <stdlib.h>
1000 EOF
1001 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1002 egrep "free" >/dev/null 2>&1; then
1003 :
1004 else
1005 rm -rf conftest*
1006 ac_cv_header_stdc=no
1007 fi
1008 rm -f conftest*
1009
1010 fi
1011
1012 if test $ac_cv_header_stdc = yes; then
1013 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
1014 if test "$cross_compiling" = yes; then
1015 :
1016 else
1017 cat > conftest.$ac_ext <<EOF
1018 #line 1019 "configure"
1019 #include "confdefs.h"
1020 #include <ctype.h>
1021 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
1022 #define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
1023 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
1024 int main () { int i; for (i = 0; i < 256; i++)
1025 if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
1026 exit (0); }
1027
1028 EOF
1029 if { (eval echo configure:1030: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1030 then
1031 :
1032 else
1033 echo "configure: failed program was:" >&5
1034 cat conftest.$ac_ext >&5
1035 rm -fr conftest*
1036 ac_cv_header_stdc=no
1037 fi
1038 rm -fr conftest*
1039 fi
1040
1041 fi
1042 fi
1043
1044 echo "$ac_t""$ac_cv_header_stdc" 1>&6
1045 if test $ac_cv_header_stdc = yes; then
1046 cat >> confdefs.h <<\EOF
1047 #define STDC_HEADERS 1
1048 EOF
1049
1050 fi
1051
1052 echo $ac_n "checking for size_t""... $ac_c" 1>&6
1053 echo "configure:1054: checking for size_t" >&5
1054 if eval "test \"`echo '$''{'ac_cv_type_size_t'+set}'`\" = set"; then
1055 echo $ac_n "(cached) $ac_c" 1>&6
1056 else
1057 cat > conftest.$ac_ext <<EOF
1058 #line 1059 "configure"
1059 #include "confdefs.h"
1060 #include <sys/types.h>
1061 #if STDC_HEADERS
1062 #include <stdlib.h>
1063 #include <stddef.h>
1064 #endif
1065 EOF
1066 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1067 egrep "(^|[^a-zA-Z_0-9])size_t[^a-zA-Z_0-9]" >/dev/null 2>&1; then
1068 rm -rf conftest*
1069 ac_cv_type_size_t=yes
1070 else
1071 rm -rf conftest*
1072 ac_cv_type_size_t=no
1073 fi
1074 rm -f conftest*
1075
1076 fi
1077 echo "$ac_t""$ac_cv_type_size_t" 1>&6
1078 if test $ac_cv_type_size_t = no; then
1079 cat >> confdefs.h <<\EOF
1080 #define size_t unsigned
1081 EOF
1082
1083 fi
1084
1085 echo $ac_n "checking whether time.h and sys/time.h may both be included""... $ac_c" 1>&6
1086 echo "configure:1087: checking whether time.h and sys/time.h may both be included" >&5
1087 if eval "test \"`echo '$''{'ac_cv_header_time'+set}'`\" = set"; then
1088 echo $ac_n "(cached) $ac_c" 1>&6
1089 else
1090 cat > conftest.$ac_ext <<EOF
1091 #line 1092 "configure"
1092 #include "confdefs.h"
1093 #include <sys/types.h>
1094 #include <sys/time.h>
1095 #include <time.h>
1096 int main() {
1097 struct tm *tp;
1098 ; return 0; }
1099 EOF
1100 if { (eval echo configure:1101: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1101 rm -rf conftest*
1102 ac_cv_header_time=yes
1103 else
1104 echo "configure: failed program was:" >&5
1105 cat conftest.$ac_ext >&5
1106 rm -rf conftest*
1107 ac_cv_header_time=no
1108 fi
1109 rm -f conftest*
1110 fi
1111
1112 echo "$ac_t""$ac_cv_header_time" 1>&6
1113 if test $ac_cv_header_time = yes; then
1114 cat >> confdefs.h <<\EOF
1115 #define TIME_WITH_SYS_TIME 1
1116 EOF
1117
1118 fi
1119
1120 for ac_hdr in fcntl.h unistd.h memory.h malloc.h errno.h
1121 do
1122 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1123 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1124 echo "configure:1125: checking for $ac_hdr" >&5
1125 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1126 echo $ac_n "(cached) $ac_c" 1>&6
1127 else
1128 cat > conftest.$ac_ext <<EOF
1129 #line 1130 "configure"
1130 #include "confdefs.h"
1131 #include <$ac_hdr>
1132 EOF
1133 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1134 { (eval echo configure:1135: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1135 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1136 if test -z "$ac_err"; then
1137 rm -rf conftest*
1138 eval "ac_cv_header_$ac_safe=yes"
1139 else
1140 echo "$ac_err" >&5
1141 echo "configure: failed program was:" >&5
1142 cat conftest.$ac_ext >&5
1143 rm -rf conftest*
1144 eval "ac_cv_header_$ac_safe=no"
1145 fi
1146 rm -f conftest*
1147 fi
1148 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1149 echo "$ac_t""yes" 1>&6
1150 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1151 cat >> confdefs.h <<EOF
1152 #define $ac_tr_hdr 1
1153 EOF
1154
1155 else
1156 echo "$ac_t""no" 1>&6
1157 fi
1158 done
1159
1160 for ac_hdr in io.h sys/time.h
1161 do
1162 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1163 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1164 echo "configure:1165: checking for $ac_hdr" >&5
1165 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1166 echo $ac_n "(cached) $ac_c" 1>&6
1167 else
1168 cat > conftest.$ac_ext <<EOF
1169 #line 1170 "configure"
1170 #include "confdefs.h"
1171 #include <$ac_hdr>
1172 EOF
1173 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1174 { (eval echo configure:1175: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1175 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1176 if test -z "$ac_err"; then
1177 rm -rf conftest*
1178 eval "ac_cv_header_$ac_safe=yes"
1179 else
1180 echo "$ac_err" >&5
1181 echo "configure: failed program was:" >&5
1182 cat conftest.$ac_ext >&5
1183 rm -rf conftest*
1184 eval "ac_cv_header_$ac_safe=no"
1185 fi
1186 rm -f conftest*
1187 fi
1188 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1189 echo "$ac_t""yes" 1>&6
1190 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1191 cat >> confdefs.h <<EOF
1192 #define $ac_tr_hdr 1
1193 EOF
1194
1195 else
1196 echo "$ac_t""no" 1>&6
1197 fi
1198 done
1199
1200 for ac_func in gettimeofday fgetc_unlocked
1201 do
1202 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
1203 echo "configure:1204: checking for $ac_func" >&5
1204 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
1205 echo $ac_n "(cached) $ac_c" 1>&6
1206 else
1207 cat > conftest.$ac_ext <<EOF
1208 #line 1209 "configure"
1209 #include "confdefs.h"
1210 /* System header to define __stub macros and hopefully few prototypes,
1211 which can conflict with char $ac_func(); below. */
1212 #include <assert.h>
1213 /* Override any gcc2 internal prototype to avoid an error. */
1214 /* We use char because int might match the return type of a gcc2
1215 builtin and then its argument prototype would still apply. */
1216 char $ac_func();
1217
1218 int main() {
1219
1220 /* The GNU C library defines this for functions which it implements
1221 to always fail with ENOSYS. Some functions are actually named
1222 something starting with __ and the normal name is an alias. */
1223 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
1224 choke me
1225 #else
1226 $ac_func();
1227 #endif
1228
1229 ; return 0; }
1230 EOF
1231 if { (eval echo configure:1232: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1232 rm -rf conftest*
1233 eval "ac_cv_func_$ac_func=yes"
1234 else
1235 echo "configure: failed program was:" >&5
1236 cat conftest.$ac_ext >&5
1237 rm -rf conftest*
1238 eval "ac_cv_func_$ac_func=no"
1239 fi
1240 rm -f conftest*
1241 fi
1242
1243 if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
1244 echo "$ac_t""yes" 1>&6
1245 ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
1246 cat >> confdefs.h <<EOF
1247 #define $ac_tr_func 1
1248 EOF
1249
1250 else
1251 echo "$ac_t""no" 1>&6
1252 fi
1253 done
1254
1255
1256 echo $ac_n "checking for tempnam""... $ac_c" 1>&6
1257 echo "configure:1258: checking for tempnam" >&5
1258 if eval "test \"`echo '$''{'ac_cv_func_tempnam'+set}'`\" = set"; then
1259 echo $ac_n "(cached) $ac_c" 1>&6
1260 else
1261 cat > conftest.$ac_ext <<EOF
1262 #line 1263 "configure"
1263 #include "confdefs.h"
1264 /* System header to define __stub macros and hopefully few prototypes,
1265 which can conflict with char tempnam(); below. */
1266 #include <assert.h>
1267 /* Override any gcc2 internal prototype to avoid an error. */
1268 /* We use char because int might match the return type of a gcc2
1269 builtin and then its argument prototype would still apply. */
1270 char tempnam();
1271
1272 int main() {
1273
1274 /* The GNU C library defines this for functions which it implements
1275 to always fail with ENOSYS. Some functions are actually named
1276 something starting with __ and the normal name is an alias. */
1277 #if defined (__stub_tempnam) || defined (__stub___tempnam)
1278 choke me
1279 #else
1280 tempnam();
1281 #endif
1282
1283 ; return 0; }
1284 EOF
1285 if { (eval echo configure:1286: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1286 rm -rf conftest*
1287 eval "ac_cv_func_tempnam=yes"
1288 else
1289 echo "configure: failed program was:" >&5
1290 cat conftest.$ac_ext >&5
1291 rm -rf conftest*
1292 eval "ac_cv_func_tempnam=no"
1293 fi
1294 rm -f conftest*
1295 fi
1296
1297 if eval "test \"`echo '$ac_cv_func_'tempnam`\" = yes"; then
1298 echo "$ac_t""yes" 1>&6
1299 :
1300 else
1301 echo "$ac_t""no" 1>&6
1302 cat >> confdefs.h <<\EOF
1303 #define tempnam FP_tempnam
1304 EOF
1305
1306 fi
1307
1308
1309 echo $ac_n "checking for chmod""... $ac_c" 1>&6
1310 echo "configure:1311: checking for chmod" >&5
1311 if eval "test \"`echo '$''{'ac_cv_func_chmod'+set}'`\" = set"; then
1312 echo $ac_n "(cached) $ac_c" 1>&6
1313 else
1314 cat > conftest.$ac_ext <<EOF
1315 #line 1316 "configure"
1316 #include "confdefs.h"
1317 /* System header to define __stub macros and hopefully few prototypes,
1318 which can conflict with char chmod(); below. */
1319 #include <assert.h>
1320 /* Override any gcc2 internal prototype to avoid an error. */
1321 /* We use char because int might match the return type of a gcc2
1322 builtin and then its argument prototype would still apply. */
1323 char chmod();
1324
1325 int main() {
1326
1327 /* The GNU C library defines this for functions which it implements
1328 to always fail with ENOSYS. Some functions are actually named
1329 something starting with __ and the normal name is an alias. */
1330 #if defined (__stub_chmod) || defined (__stub___chmod)
1331 choke me
1332 #else
1333 chmod();
1334 #endif
1335
1336 ; return 0; }
1337 EOF
1338 if { (eval echo configure:1339: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1339 rm -rf conftest*
1340 eval "ac_cv_func_chmod=yes"
1341 else
1342 echo "configure: failed program was:" >&5
1343 cat conftest.$ac_ext >&5
1344 rm -rf conftest*
1345 eval "ac_cv_func_chmod=no"
1346 fi
1347 rm -f conftest*
1348 fi
1349
1350 if eval "test \"`echo '$ac_cv_func_'chmod`\" = yes"; then
1351 echo "$ac_t""yes" 1>&6
1352 cat >> confdefs.h <<\EOF
1353 #define HAVE_CHMOD 1
1354 EOF
1355
1356 else
1357 echo "$ac_t""no" 1>&6
1358 fi
1359
1360 echo $ac_n "checking for umask""... $ac_c" 1>&6
1361 echo "configure:1362: checking for umask" >&5
1362 if eval "test \"`echo '$''{'ac_cv_func_umask'+set}'`\" = set"; then
1363 echo $ac_n "(cached) $ac_c" 1>&6
1364 else
1365 cat > conftest.$ac_ext <<EOF
1366 #line 1367 "configure"
1367 #include "confdefs.h"
1368 /* System header to define __stub macros and hopefully few prototypes,
1369 which can conflict with char umask(); below. */
1370 #include <assert.h>
1371 /* Override any gcc2 internal prototype to avoid an error. */
1372 /* We use char because int might match the return type of a gcc2
1373 builtin and then its argument prototype would still apply. */
1374 char umask();
1375
1376 int main() {
1377
1378 /* The GNU C library defines this for functions which it implements
1379 to always fail with ENOSYS. Some functions are actually named
1380 something starting with __ and the normal name is an alias. */
1381 #if defined (__stub_umask) || defined (__stub___umask)
1382 choke me
1383 #else
1384 umask();
1385 #endif
1386
1387 ; return 0; }
1388 EOF
1389 if { (eval echo configure:1390: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1390 rm -rf conftest*
1391 eval "ac_cv_func_umask=yes"
1392 else
1393 echo "configure: failed program was:" >&5
1394 cat conftest.$ac_ext >&5
1395 rm -rf conftest*
1396 eval "ac_cv_func_umask=no"
1397 fi
1398 rm -f conftest*
1399 fi
1400
1401 if eval "test \"`echo '$ac_cv_func_'umask`\" = yes"; then
1402 echo "$ac_t""yes" 1>&6
1403 cat >> confdefs.h <<\EOF
1404 #define HAVE_UMASK 1
1405 EOF
1406
1407 else
1408 echo "$ac_t""no" 1>&6
1409 fi
1410
1411 echo $ac_n "checking for mkstemp""... $ac_c" 1>&6
1412 echo "configure:1413: checking for mkstemp" >&5
1413 if eval "test \"`echo '$''{'ac_cv_func_mkstemp'+set}'`\" = set"; then
1414 echo $ac_n "(cached) $ac_c" 1>&6
1415 else
1416 cat > conftest.$ac_ext <<EOF
1417 #line 1418 "configure"
1418 #include "confdefs.h"
1419 /* System header to define __stub macros and hopefully few prototypes,
1420 which can conflict with char mkstemp(); below. */
1421 #include <assert.h>
1422 /* Override any gcc2 internal prototype to avoid an error. */
1423 /* We use char because int might match the return type of a gcc2
1424 builtin and then its argument prototype would still apply. */
1425 char mkstemp();
1426
1427 int main() {
1428
1429 /* The GNU C library defines this for functions which it implements
1430 to always fail with ENOSYS. Some functions are actually named
1431 something starting with __ and the normal name is an alias. */
1432 #if defined (__stub_mkstemp) || defined (__stub___mkstemp)
1433 choke me
1434 #else
1435 mkstemp();
1436 #endif
1437
1438 ; return 0; }
1439 EOF
1440 if { (eval echo configure:1441: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1441 rm -rf conftest*
1442 eval "ac_cv_func_mkstemp=yes"
1443 else
1444 echo "configure: failed program was:" >&5
1445 cat conftest.$ac_ext >&5
1446 rm -rf conftest*
1447 eval "ac_cv_func_mkstemp=no"
1448 fi
1449 rm -f conftest*
1450 fi
1451
1452 if eval "test \"`echo '$ac_cv_func_'mkstemp`\" = yes"; then
1453 echo "$ac_t""yes" 1>&6
1454 cat >> confdefs.h <<\EOF
1455 #define HAVE_MKSTEMP 1
1456 EOF
1457
1458 else
1459 echo "$ac_t""no" 1>&6
1460 fi
1461
1462
1463 #
1464 # strerror might be internally defined. this would cause a
1465 # CHECK_FUNCS(strerror) to fail because it'd be called with
1466 # zero arguments. So use our own code.
1467 #
1468 echo $ac_n "checking for strerror""... $ac_c" 1>&6
1469 echo "configure:1470: checking for strerror" >&5
1470 cat > conftest.$ac_ext <<EOF
1471 #line 1472 "configure"
1472 #include "confdefs.h"
1473
1474 char *blubb() { return (char *) strerror (42); }
1475
1476 int main() {
1477
1478 (void) blubb();
1479
1480 ; return 0; }
1481 EOF
1482 if { (eval echo configure:1483: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1483 rm -rf conftest*
1484 have_strerror=yes
1485 else
1486 echo "configure: failed program was:" >&5
1487 cat conftest.$ac_ext >&5
1488 rm -rf conftest*
1489 cat >> confdefs.h <<\EOF
1490 #define strerror FP_strerror
1491 EOF
1492
1493 have_strerror=no
1494 fi
1495 rm -f conftest*
1496 echo "$ac_t""$have_strerror" 1>&6
1497
1498 echo $ac_n "checking for stdin""... $ac_c" 1>&6
1499 echo "configure:1500: checking for stdin" >&5
1500 cat > conftest.$ac_ext <<EOF
1501 #line 1502 "configure"
1502 #include "confdefs.h"
1503
1504 #include <stdio.h>
1505 char *blubb() { FILE *in, *out; in=stdin; out=stdout; return (char*)0; }
1506
1507 int main() {
1508
1509 (void) blubb();
1510
1511 ; return 0; }
1512 EOF
1513 if { (eval echo configure:1514: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1514 rm -rf conftest*
1515 have_stdio=yes
1516 else
1517 echo "configure: failed program was:" >&5
1518 cat conftest.$ac_ext >&5
1519 rm -rf conftest*
1520 cat >> confdefs.h <<\EOF
1521 #define HAVE_STDIO 1
1522 EOF
1523
1524 have_stdio=no
1525 fi
1526 rm -f conftest*
1527 echo "$ac_t""$have_stdio" 1>&6
1528
1529 if test "$ac_cv_header_stdc" = "no" ; then
1530 for ac_hdr in stdarg.h varargs.h
1531 do
1532 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1533 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1534 echo "configure:1535: checking for $ac_hdr" >&5
1535 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1536 echo $ac_n "(cached) $ac_c" 1>&6
1537 else
1538 cat > conftest.$ac_ext <<EOF
1539 #line 1540 "configure"
1540 #include "confdefs.h"
1541 #include <$ac_hdr>
1542 EOF
1543 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1544 { (eval echo configure:1545: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1545 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1546 if test -z "$ac_err"; then
1547 rm -rf conftest*
1548 eval "ac_cv_header_$ac_safe=yes"
1549 else
1550 echo "$ac_err" >&5
1551 echo "configure: failed program was:" >&5
1552 cat conftest.$ac_ext >&5
1553 rm -rf conftest*
1554 eval "ac_cv_header_$ac_safe=no"
1555 fi
1556 rm -f conftest*
1557 fi
1558 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1559 echo "$ac_t""yes" 1>&6
1560 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1561 cat >> confdefs.h <<EOF
1562 #define $ac_tr_hdr 1
1563 EOF
1564
1565 else
1566 echo "$ac_t""no" 1>&6
1567 fi
1568 done
1569
1570 if test "$ac_cv_header_stdarg_h" = "no" ; then
1571 if test "$ac_cv_header_varargs_h" = "no" ; then
1572 { echo "configure: error: neither stdarg.h nor varargs.h present" 1>&2; exit 1; }
1573 fi
1574 fi
1575 fi
1576
1577 #
1578 # Check whether this is a DOS-Based system. Another bogus test.
1579 # Don't even bother to print a message. This code is needed so
1580 # that autoheader includes the #undef into the final config.h
1581 # and we can change the definition by hand on a really DOS
1582 # system (where ./configure doesn't work anyway ...)
1583 #
1584
1585 if false ; then
1586 cat >> confdefs.h <<\EOF
1587 #define SYSTEM_DOS 1
1588 EOF
1589
1590 cat >> confdefs.h <<\EOF
1591 #define SYSTEM_QUICKWIN 1
1592 EOF
1593
1594 cat >> confdefs.h <<\EOF
1595 #define SYSTEM_WINDLL 1
1596 EOF
1597
1598 cat >> confdefs.h <<\EOF
1599 #define SYSTEM_OS2 1
1600 EOF
1601
1602 fi
1603
1604 #
1605 # On some systems (so far, OS2 and WINDOWS), functions that are exported
1606 # from a DLL must be declared specifically.
1607 #
1608
1609 cat >> confdefs.h <<EOF
1610 #define UUEXPORT
1611 EOF
1612
1613 cat >> confdefs.h <<EOF
1614 #define TOOLEXPORT
1615 EOF
1616
1617
1618 #
1619 # set version number
1620 #
1621 echo $ac_n "checking version number""... $ac_c" 1>&6
1622 echo "configure:1623: checking version number" >&5
1623 version_number="$VERSION"pl"$PATCH"
1624 echo "$ac_t""$version_number" 1>&6
1625
1626
1627
1628 #
1629 # done
1630 #
1631
1632 trap '' 1 2 15
1633 cat > confcache <<\EOF
1634 # This file is a shell script that caches the results of configure
1635 # tests run on this system so they can be shared between configure
1636 # scripts and configure runs. It is not useful on other systems.
1637 # If it contains results you don't want to keep, you may remove or edit it.
1638 #
1639 # By default, configure uses ./config.cache as the cache file,
1640 # creating it if it does not exist already. You can give configure
1641 # the --cache-file=FILE option to use a different cache file; that is
1642 # what configure does when it calls configure scripts in
1643 # subdirectories, so they share the cache.
1644 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1645 # config.status only pays attention to the cache file if you give it the
1646 # --recheck option to rerun configure.
1647 #
1648 EOF
1649 # The following way of writing the cache mishandles newlines in values,
1650 # but we know of no workaround that is simple, portable, and efficient.
1651 # So, don't put newlines in cache variables' values.
1652 # Ultrix sh set writes to stderr and can't be redirected directly,
1653 # and sets the high bit in the cache file unless we assign to the vars.
1654 (set) 2>&1 |
1655 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1656 *ac_space=\ *)
1657 # `set' does not quote correctly, so add quotes (double-quote substitution
1658 # turns \\\\ into \\, and sed turns \\ into \).
1659 sed -n \
1660 -e "s/'/'\\\\''/g" \
1661 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1662 ;;
1663 *)
1664 # `set' quotes correctly as required by POSIX, so do not add quotes.
1665 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1666 ;;
1667 esac >> confcache
1668 if cmp -s $cache_file confcache; then
1669 :
1670 else
1671 if test -w $cache_file; then
1672 echo "updating cache $cache_file"
1673 cat confcache > $cache_file
1674 else
1675 echo "not updating unwritable cache $cache_file"
1676 fi
1677 fi
1678 rm -f confcache
1679
1680 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1681
1682 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1683 # Let make expand exec_prefix.
1684 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1685
1686 # Any assignment to VPATH causes Sun make to only execute
1687 # the first set of double-colon rules, so remove it if not needed.
1688 # If there is a colon in the path, we need to keep it.
1689 if test "x$srcdir" = x.; then
1690 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1691 fi
1692
1693 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1694
1695 DEFS=-DHAVE_CONFIG_H
1696
1697 # Without the "./", some shells look in PATH for config.status.
1698 : ${CONFIG_STATUS=./config.status}
1699
1700 echo creating $CONFIG_STATUS
1701 rm -f $CONFIG_STATUS
1702 cat > $CONFIG_STATUS <<EOF
1703 #! /bin/sh
1704 # Generated automatically by configure.
1705 # Run this file to recreate the current configuration.
1706 # This directory was configured as follows,
1707 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1708 #
1709 # $0 $ac_configure_args
1710 #
1711 # Compiler output produced by configure, useful for debugging
1712 # configure, is in ./config.log if it exists.
1713
1714 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1715 for ac_option
1716 do
1717 case "\$ac_option" in
1718 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1719 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1720 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1721 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1722 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1723 exit 0 ;;
1724 -help | --help | --hel | --he | --h)
1725 echo "\$ac_cs_usage"; exit 0 ;;
1726 *) echo "\$ac_cs_usage"; exit 1 ;;
1727 esac
1728 done
1729
1730 ac_given_srcdir=$srcdir
1731
1732 trap 'rm -fr `echo "Makefile config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1733 EOF
1734 cat >> $CONFIG_STATUS <<EOF
1735
1736 # Protect against being on the right side of a sed subst in config.status.
1737 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1738 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1739 $ac_vpsub
1740 $extrasub
1741 s%@SHELL@%$SHELL%g
1742 s%@CFLAGS@%$CFLAGS%g
1743 s%@CPPFLAGS@%$CPPFLAGS%g
1744 s%@CXXFLAGS@%$CXXFLAGS%g
1745 s%@FFLAGS@%$FFLAGS%g
1746 s%@DEFS@%$DEFS%g
1747 s%@LDFLAGS@%$LDFLAGS%g
1748 s%@LIBS@%$LIBS%g
1749 s%@exec_prefix@%$exec_prefix%g
1750 s%@prefix@%$prefix%g
1751 s%@program_transform_name@%$program_transform_name%g
1752 s%@bindir@%$bindir%g
1753 s%@sbindir@%$sbindir%g
1754 s%@libexecdir@%$libexecdir%g
1755 s%@datadir@%$datadir%g
1756 s%@sysconfdir@%$sysconfdir%g
1757 s%@sharedstatedir@%$sharedstatedir%g
1758 s%@localstatedir@%$localstatedir%g
1759 s%@libdir@%$libdir%g
1760 s%@includedir@%$includedir%g
1761 s%@oldincludedir@%$oldincludedir%g
1762 s%@infodir@%$infodir%g
1763 s%@mandir@%$mandir%g
1764 s%@CC@%$CC%g
1765 s%@CPP@%$CPP%g
1766 s%@SET_MAKE@%$SET_MAKE%g
1767 s%@RANLIB@%$RANLIB%g
1768 s%@VERSION@%$VERSION%g
1769 s%@PATCH@%$PATCH%g
1770
1771 CEOF
1772 EOF
1773
1774 cat >> $CONFIG_STATUS <<\EOF
1775
1776 # Split the substitutions into bite-sized pieces for seds with
1777 # small command number limits, like on Digital OSF/1 and HP-UX.
1778 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1779 ac_file=1 # Number of current file.
1780 ac_beg=1 # First line for current file.
1781 ac_end=$ac_max_sed_cmds # Line after last line for current file.
1782 ac_more_lines=:
1783 ac_sed_cmds=""
1784 while $ac_more_lines; do
1785 if test $ac_beg -gt 1; then
1786 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1787 else
1788 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1789 fi
1790 if test ! -s conftest.s$ac_file; then
1791 ac_more_lines=false
1792 rm -f conftest.s$ac_file
1793 else
1794 if test -z "$ac_sed_cmds"; then
1795 ac_sed_cmds="sed -f conftest.s$ac_file"
1796 else
1797 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1798 fi
1799 ac_file=`expr $ac_file + 1`
1800 ac_beg=$ac_end
1801 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1802 fi
1803 done
1804 if test -z "$ac_sed_cmds"; then
1805 ac_sed_cmds=cat
1806 fi
1807 EOF
1808
1809 cat >> $CONFIG_STATUS <<EOF
1810
1811 CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1812 EOF
1813 cat >> $CONFIG_STATUS <<\EOF
1814 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1815 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1816 case "$ac_file" in
1817 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1818 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1819 *) ac_file_in="${ac_file}.in" ;;
1820 esac
1821
1822 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1823
1824 # Remove last slash and all that follows it. Not all systems have dirname.
1825 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1826 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1827 # The file is in a subdirectory.
1828 test ! -d "$ac_dir" && mkdir "$ac_dir"
1829 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1830 # A "../" for each directory in $ac_dir_suffix.
1831 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1832 else
1833 ac_dir_suffix= ac_dots=
1834 fi
1835
1836 case "$ac_given_srcdir" in
1837 .) srcdir=.
1838 if test -z "$ac_dots"; then top_srcdir=.
1839 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1840 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1841 *) # Relative path.
1842 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1843 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1844 esac
1845
1846
1847 echo creating "$ac_file"
1848 rm -f "$ac_file"
1849 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1850 case "$ac_file" in
1851 *Makefile*) ac_comsub="1i\\
1852 # $configure_input" ;;
1853 *) ac_comsub= ;;
1854 esac
1855
1856 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1857 sed -e "$ac_comsub
1858 s%@configure_input@%$configure_input%g
1859 s%@srcdir@%$srcdir%g
1860 s%@top_srcdir@%$top_srcdir%g
1861 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1862 fi; done
1863 rm -f conftest.s*
1864
1865 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1866 # NAME is the cpp macro being defined and VALUE is the value it is being given.
1867 #
1868 # ac_d sets the value in "#define NAME VALUE" lines.
1869 ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1870 ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1871 ac_dC='\3'
1872 ac_dD='%g'
1873 # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1874 ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1875 ac_uB='\([ ]\)%\1#\2define\3'
1876 ac_uC=' '
1877 ac_uD='\4%g'
1878 # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1879 ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1880 ac_eB='$%\1#\2define\3'
1881 ac_eC=' '
1882 ac_eD='%g'
1883
1884 if test "${CONFIG_HEADERS+set}" != set; then
1885 EOF
1886 cat >> $CONFIG_STATUS <<EOF
1887 CONFIG_HEADERS="config.h"
1888 EOF
1889 cat >> $CONFIG_STATUS <<\EOF
1890 fi
1891 for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1892 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1893 case "$ac_file" in
1894 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1895 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1896 *) ac_file_in="${ac_file}.in" ;;
1897 esac
1898
1899 echo creating $ac_file
1900
1901 rm -f conftest.frag conftest.in conftest.out
1902 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1903 cat $ac_file_inputs > conftest.in
1904
1905 EOF
1906
1907 # Transform confdefs.h into a sed script conftest.vals that substitutes
1908 # the proper values into config.h.in to produce config.h. And first:
1909 # Protect against being on the right side of a sed subst in config.status.
1910 # Protect against being in an unquoted here document in config.status.
1911 rm -f conftest.vals
1912 cat > conftest.hdr <<\EOF
1913 s/[\\&%]/\\&/g
1914 s%[\\$`]%\\&%g
1915 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1916 s%ac_d%ac_u%gp
1917 s%ac_u%ac_e%gp
1918 EOF
1919 sed -n -f conftest.hdr confdefs.h > conftest.vals
1920 rm -f conftest.hdr
1921
1922 # This sed command replaces #undef with comments. This is necessary, for
1923 # example, in the case of _POSIX_SOURCE, which is predefined and required
1924 # on some systems where configure will not decide to define it.
1925 cat >> conftest.vals <<\EOF
1926 s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1927 EOF
1928
1929 # Break up conftest.vals because some shells have a limit on
1930 # the size of here documents, and old seds have small limits too.
1931
1932 rm -f conftest.tail
1933 while :
1934 do
1935 ac_lines=`grep -c . conftest.vals`
1936 # grep -c gives empty output for an empty file on some AIX systems.
1937 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1938 # Write a limited-size here document to conftest.frag.
1939 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1940 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1941 echo 'CEOF
1942 sed -f conftest.frag conftest.in > conftest.out
1943 rm -f conftest.in
1944 mv conftest.out conftest.in
1945 ' >> $CONFIG_STATUS
1946 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1947 rm -f conftest.vals
1948 mv conftest.tail conftest.vals
1949 done
1950 rm -f conftest.vals
1951
1952 cat >> $CONFIG_STATUS <<\EOF
1953 rm -f conftest.frag conftest.h
1954 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1955 cat conftest.in >> conftest.h
1956 rm -f conftest.in
1957 if cmp -s $ac_file conftest.h 2>/dev/null; then
1958 echo "$ac_file is unchanged"
1959 rm -f conftest.h
1960 else
1961 # Remove last slash and all that follows it. Not all systems have dirname.
1962 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1963 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1964 # The file is in a subdirectory.
1965 test ! -d "$ac_dir" && mkdir "$ac_dir"
1966 fi
1967 rm -f $ac_file
1968 mv conftest.h $ac_file
1969 fi
1970 fi; done
1971
1972 EOF
1973 cat >> $CONFIG_STATUS <<EOF
1974
1975 EOF
1976 cat >> $CONFIG_STATUS <<\EOF
1977
1978 exit 0
1979 EOF
1980 chmod +x $CONFIG_STATUS
1981 rm -fr confdefs* $ac_clean_files
1982 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1983
1984